unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, TeeComma, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    TeeCommander1: TTeeCommander;
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
    procedure Chart1AfterDraw(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses Series;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Chart1.AddSeries(TLineSeries.Create(Self)).FillSampleValues;

  Chart1.CustomChartRect:=True;
  Chart1.ChartRect:=Rect(100, 100, 300, 300);

  Chart1.Legend.Visible:=False;
  Chart1.Title.Visible:=False;

  Chart1.DrawToMetaCanvas(Image1.Canvas, Chart1.ChartRect);
end;

procedure TForm1.Chart1AfterDraw(Sender: TObject);
begin
  Chart1.Canvas.Brush.Style:=bsClear;
  Chart1.Canvas.Pen.Color:=clRed;
  Chart1.Canvas.Rectangle(Rect(100, 100, 300, 300));
end;

end.
